catalog:
  title: None

templates:
- freestyle
- base
- runnable

variables:
  description: >-
    This job executes update and upgrade on a given PC.

    As this job uses sudo make sure to give the user permissions to do
    so with something like:

      myUser ALL=(root) NOPASSWD: /usr/bin/aptitude update, /usr/bin/aptitude safe-upgrade

  shell.command: |
    ssh -t "sudo /usr/bin/aptitude update"
    ssh -t "sudo /usr/bin/aptitude safe-upgrade"

versions:
- name: muthr
  variables:
    pc: muthr.dhcp
    user: biron

- name: father
  variables:
    pc: father.dhcp
    user: biron

- name: multivac
  variables:
    pc: multivac.dhcp
    user: biron

- name: millichrome
  variables:
    pc: millichrome.dhcp
    user: biron

- name: meka-man
  variables:
    pc: meka-man.dhcp
    user: meka

- name: meka-marbel
  variables:
    pc: meka-marbel.dhcp
    user: meka

- name: meka-matter
  variables:
    pc: meka-matter.dhcp
    user: meka
